FacetsConfig.DimConfig (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet, class: FacetsConfig, class: DimConfig

Package org.apache.lucene.facet

# Class FacetsConfig.DimConfig

java.lang.Object
org.apache.lucene.facet.FacetsConfig.DimConfig

Enclosing class:
  `FacetsConfig`

public static final class FacetsConfig.DimConfig extends Object
Holds the configuration for one dimension

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `FacetsConfig.DrillDownTermsIndexing`
  `drillDownTermsIndexing`
  Default drill down terms indexing option that index all.
  `boolean`
  `hierarchical`
  True if this dimension is hierarchical.
  `String`
  `indexFieldName`
  Actual field where this dimension's facet labels should be indexed
  `boolean`
  `multiValued`
  True if this dimension is multi-valued.
  `boolean`
  `requireDimCount`
  True if the count/aggregate for the entire dimension is required, which is unusual (default is false).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DimConfig()`
  Default constructor.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### hierarchical

    public boolean hierarchical
    True if this dimension is hierarchical.

  - ### multiValued

    public boolean multiValued
    True if this dimension is multi-valued.

  - ### requireDimCount

    public boolean requireDimCount
    True if the count/aggregate for the entire dimension is required, which is unusual (default is false).

  - ### drillDownTermsIndexing

    public FacetsConfig.DrillDownTermsIndexing drillDownTermsIndexing
    Default drill down terms indexing option that index all.

  - ### indexFieldName

    public String indexFieldName
    Actual field where this dimension's facet labels should be indexed

- ## Constructor Details

  - ### DimConfig

    public DimConfig()
    Default constructor.